El SDK 1.0 de Oculus llegará en diciembre

Oculus ha confirmado durante la presentación de ayer que la versión 1.0 del SDK y el Runtime para el Rift se publicarán en el mes de diciembre.

25 SEP 2015  10:28

Juanlo

14 comentarios

El SDK 1.0 de Oculus llegará en diciembre

El SDK 1.0 de Oculus va a suponer un cambio importante que muchos desarrolladores están esperando ansiosos, ya que a partir de esta versión no se romperá la compatibilidad hacia atrás entre este SDK y los que vengan. Cualquier proyecto compilado con el SDK 1.0 seguirá funcionando en el futuro aunque lleguen nuevas versiones por parte de Oculus. Recordemos que la versión 0.7 ha supuesto un enorme cambio a nivel interno que impide que ejecutemos aplicaciones compiladas con la versión 0.5 y anteriores. Como consecuencia, nos encontramos con títulos como Elite Dangerous, que se ha quedado anclado en el SDK 0.5 y que no podemos ejecutar si tenemos instalado el 0.7.

  Nate Mitchell en el Oculus Connect 2

 

Sin duda, estos tres meses que restan hasta la llegada de la versión 1.0 en diciembre van a ser los más duros para los usuarios actuales del DK2, ya que cada nueva versión del SDK hará que no podamos ejecutar las aplicaciones compiladas con los anteriores. La versión 1.0 llegará en diciembre, así que Oculus podría lanzar la 0.8 y 0.9 en los próximos dos meses, y eso puede causar un verdadero caos entre los usuarios finales que pretenden utilizar las demos y experiencias actuales. Habrá algunas que se actualicen a la par que el SDK, otras que se esperarán a la llegada de la versión 1.0 (como probablemente sea el caso del mencionado Elite Dangerous) y otras que caerán para siempre en el olvido. Así pues, ¿qué podemos hacer los usuarios actuales para disfrutar de todas las experiencias posibles? La respuesta no es fácil y las soluciones no son las mejores, pero quizás la menos mala sea disponer de dos instalaciones de Windows. Una de ellas tendría que ser Windows 7 o Windows 8 con el Runtime 0.5 de Oculus, esta es sin duda la mejor opción para los que quieran seguir disfrutando de Elite Dangerous. Y nos haría falta una segunda instalación, que podría ser con Windows 10, con el Runtime 0.7, que también nos permitirá ejecutar aplicaciones creadas con el 0.6.

 

Tim Sweeney de Epic Games en Connect 2

 

¿Y los desarrolladores, qué pueden hacer? Aquellos que estén trabajando en Unity 5 o en Unreal Engine 4 no deberían tener demasiados problemas, ya que estos motores irán evolucionando a la par que el SDK de Oculus y el salto entre distintas versiones no debería de ser traumático, pero aquellos con motores propios que sigan en versiones anteriores a la 0.6 tendrán que tomar la decisión de seguir actualizando sus proyectos laboriosamente a medida que lleguen nuevos SDKs, o bien esperar a la versión final e implementar todas las evoluciones de golpe, como parece ser la decisión tomada por Frontier Developments con Elite Dangerous. En cualquier caso, todo apunta a que estos meses van a ser ciertamente complicados para todos.

Comentarios (14)

Enlace al foro
  • Creo otro post porque no me deja desde el móvil editar anterior.

    Este truco no te va a valer si esta compilada con versiones modernas.
    0 0
  •    klyonline:Creo otro post porque no me deja desde el móvil editar anterior.

    Este truco no te va a valer si esta compilada con versiones modernas.


    Gracias

    El juego Richard Burns Rally y su plugin está compilado con la 0.5

    Me apunto ese tutorial y lo probaré en windows 10 (en windows 7 lo probé esta mañana y no me iba, pero parece que es sólo válido para win10)
    0 0
  • Edgar García

    Anónimo

    No, no necesariamente Oculus deberá sacar las versiones 0.8 y 0.9 para pasar a la 1.0. El versionamiento del software dice que si tu software deja de ser un Alfa, Beta o un prototipo, independientemente de la versión en la que estés, pero si ya esta terminado para ser lanzado comercialmente, puedes pasar directamente a la version 1.0, por ejemplo con Oculus, ellos pueden quedarse en la version 0.7 y en diciembre pasar a la versión 1.0. En otros casos inclusive, pudieran continuar con el versionamiento, por ejemplo, la versión 0.10, 0.11, etc. y después pasar a la 1.0 cuando esté listo.

    No se preocupen tanto, no creo que en dos meses Oculus saque una nueva versión importante, por algo ya anticiparon la versión final para diciembre, porque están trabajando en ella.
    0 0